<?php
/**
 * Conference Event Planner functions and definitions
 *
 * @package Conference Event Planner
 * @subpackage conference_event_planner
 */

function conference_event_planner_setup() {

	load_theme_textdomain( 'conference-event-planner', get_template_directory() . '/languages' );
	add_theme_support( 'automatic-feed-links' );
	add_theme_support( 'woocommerce' );
	add_theme_support( 'title-tag' );
	add_theme_support( "responsive-embeds" );
	add_theme_support( 'wp-block-styles' );
	add_theme_support( 'align-wide' );
	add_theme_support( 'post-thumbnails' );
	add_image_size( 'conference-event-planner-featured-image', 2000, 1200, true );
	add_image_size( 'conference-event-planner-thumbnail-avatar', 100, 100, true );

	// Set the default content width.
	$GLOBALS['content_width'] = 525;

	// This theme uses wp_nav_menu() in two locations.
	register_nav_menus( array(
		'primary-menu'    => __( 'Primary Menu', 'conference-event-planner' ),
	) );

	// Add theme support for Custom Logo.
	add_theme_support( 'custom-logo', array(
		'width'       => 250,
		'height'      => 250,
		'flex-width'  => true,
		'flex-height'  => true,
	) );

	// Add theme support for selective refresh for widgets.
	add_theme_support( 'customize-selective-refresh-widgets' );

	add_theme_support( 'custom-background', array(
		'default-color' => 'ffffff'
	) );

	/*
	 * Enable support for Post Formats.
	 *
	 * See: https://codex.wordpress.org/Post_Formats
	 */
	add_theme_support( 'post-formats', array('image','video','gallery','audio',) );

	add_theme_support( 'html5', array('comment-form','comment-list','gallery','caption',) );

	add_theme_support( 'custom-header', apply_filters( 'conference_event_planner_custom_header_args', array(
        'default-text-color' => 'fff',
        'header-text'        => false,
        'width'              => 1600,
        'height'             => 350,
        'flex-width'         => true,
        'flex-height'        => true,
        'wp-head-callback'   => 'conference_event_planner_header_style',
        'default-image'      => get_template_directory_uri() . '/assets/images/sliderimage.png',
    ) ) );

    /**
	 * Implement the Custom Header feature.
	 */
	require get_parent_theme_file_path( '/inc/custom-header.php' );

}
add_action( 'after_setup_theme', 'conference_event_planner_setup' );

// Add function after setup:
function conference_event_planner_conditional_editor_styles() {
	
	add_editor_style( array( 'assets/css/editor-style.css', conference_event_planner_fonts_url() ) );
}
add_action( 'after_setup_theme', 'conference_event_planner_conditional_editor_styles', 11 );

/**
 * Register custom fonts.
 */
function conference_event_planner_fonts_url(){
	$conference_event_planner_font_url = '';
	$conference_event_planner_font_family = array();
	$conference_event_planner_font_family[] = 'Montserrat:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900';
	$conference_event_planner_font_family[] = 'Raleway:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900';

	$conference_event_planner_font_family[] = 'Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900';
	$conference_event_planner_font_family[] = 'Bad Script';
	$conference_event_planner_font_family[] = 'Bebas Neue';
	$conference_event_planner_font_family[] = 'Fjalla One';
	$conference_event_planner_font_family[] = 'PT Sans:ital,wght@0,400;0,700;1,400;1,700';
	$conference_event_planner_font_family[] = 'PT Serif:ital,wght@0,400;0,700;1,400;1,700';
	$conference_event_planner_font_family[] = 'Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900';
	$conference_event_planner_font_family[] = 'Roboto Condensed:ital,wght@0,300;0,400;0,700;1,300;1,400;1,700';
	$conference_event_planner_font_family[] = 'Alex Brush';
	$conference_event_planner_font_family[] = 'Overpass:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900';
	$conference_event_planner_font_family[] = 'Montserrat:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900';
	$conference_event_planner_font_family[] = 'Playball';
	$conference_event_planner_font_family[] = 'Alegreya:ital,wght@0,400;0,500;0,600;0,700;0,800;0,900;1,400;1,500;1,600;1,700;1,800;1,900';
	$conference_event_planner_font_family[] = 'Julius Sans One';
	$conference_event_planner_font_family[] = 'Arsenal:ital,wght@0,400;0,700;1,400;1,700';
	$conference_event_planner_font_family[] = 'Slabo 13px';
	$conference_event_planner_font_family[] = 'Lato:ital,wght@0,100;0,300;0,400;0,700;0,900;1,100;1,300;1,400;1,700;1,900';
	$conference_event_planner_font_family[] = 'Overpass Mono:wght@300;400;500;600;700';
	$conference_event_planner_font_family[] = 'Source Sans Pro:ital,wght@0,200;0,300;0,400;0,600;0,700;0,900;1,200;1,300;1,400;1,600;1,700;1,900';
	$conference_event_planner_font_family[] = 'Raleway:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900';
	$conference_event_planner_font_family[] = 'Merriweather:ital,wght@0,300;0,400;0,700;0,900;1,300;1,400;1,700;1,900';
	$conference_event_planner_font_family[] = 'Rubik:ital,wght@0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,300;1,400;1,500;1,600;1,700;1,800;1,900';
	$conference_event_planner_font_family[] = 'Lora:ital,wght@0,400;0,500;0,600;0,700;1,400;1,500;1,600;1,700';
	$conference_event_planner_font_family[] = 'Ubuntu:ital,wght@0,300;0,400;0,500;0,700;1,300;1,400;1,500;1,700';
	$conference_event_planner_font_family[] = 'Cabin:ital,wght@0,400;0,500;0,600;0,700;1,400;1,500;1,600;1,700';
	$conference_event_planner_font_family[] = 'Arimo:ital,wght@0,400;0,500;0,600;0,700;1,400;1,500;1,600;1,700';
	$conference_event_planner_font_family[] = 'Playfair Display:ital,wght@0,400;0,500;0,600;0,700;0,800;0,900;1,400;1,500;1,600;1,700;1,800;1,900';
	$conference_event_planner_font_family[] = 'Quicksand:wght@300;400;500;600;700';
	$conference_event_planner_font_family[] = 'Padauk:wght@400;700';
	$conference_event_planner_font_family[] = 'Mulish:ital,wght@0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;0,1000;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900;1,1000';
	$conference_event_planner_font_family[] = 'Inconsolata:wght@200;300;400;500;600;700;800;900&family=Mulish:ital,wght@0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;0,1000;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900;1,1000';
	$conference_event_planner_font_family[] = 'Bitter:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&family=Mulish:ital,wght@0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;0,1000;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900;1,1000';
	$conference_event_planner_font_family[] = 'Pacifico';
	$conference_event_planner_font_family[] = 'Indie Flower';
	$conference_event_planner_font_family[] = 'VT323';
	$conference_event_planner_font_family[] = 'Dosis:wght@200;300;400;500;600;700;800';
	$conference_event_planner_font_family[] = 'Frank Ruhl Libre:wght@300;400;500;700;900';
	$conference_event_planner_font_family[] = 'Fjalla One';
	$conference_event_planner_font_family[] = 'Figtree:ital,wght@0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,300;1,400;1,500;1,600;1,700;1,800;1,900';
	$conference_event_planner_font_family[] = 'Oxygen:wght@300;400;700';
	$conference_event_planner_font_family[] = 'Arvo:ital,wght@0,400;0,700;1,400;1,700';
	$conference_event_planner_font_family[] = 'Noto Serif:ital,wght@0,400;0,700;1,400;1,700';
	$conference_event_planner_font_family[] = 'Lobster';
	$conference_event_planner_font_family[] = 'Crimson Text:ital,wght@0,400;0,600;0,700;1,400;1,600;1,700';
	$conference_event_planner_font_family[] = 'Yanone Kaffeesatz:wght@200;300;400;500;600;700';
	$conference_event_planner_font_family[] = 'Anton';
	$conference_event_planner_font_family[] = 'Libre Baskerville:ital,wght@0,400;0,700;1,400';
	$conference_event_planner_font_family[] = 'Bree Serif';
	$conference_event_planner_font_family[] = 'Gloria Hallelujah';
	$conference_event_planner_font_family[] = 'Abril Fatface';
	$conference_event_planner_font_family[] = 'Varela Round';
	$conference_event_planner_font_family[] = 'Vampiro One';
	$conference_event_planner_font_family[] = 'Shadows Into Light';
	$conference_event_planner_font_family[] = 'Cuprum:ital,wght@0,400;0,500;0,600;0,700;1,400;1,500;1,600;1,700';
	$conference_event_planner_font_family[] = 'Rokkitt:wght@100;200;300;400;500;600;700;800;900';
	$conference_event_planner_font_family[] = 'Vollkorn:ital,wght@0,400;0,500;0,600;0,700;0,800;0,900;1,400;1,500;1,600;1,700;1,800;1,900';
	$conference_event_planner_font_family[] = 'Francois One';
	$conference_event_planner_font_family[] = 'Orbitron:wght@400;500;600;700;800;900';
	$conference_event_planner_font_family[] = 'Patua One';
	$conference_event_planner_font_family[] = 'Acme';
	$conference_event_planner_font_family[] = 'Satisfy';
	$conference_event_planner_font_family[] = 'Josefin Slab:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;1,100;1,200;1,300;1,400;1,500;1,600;1,700';
	$conference_event_planner_font_family[] = 'Quattrocento Sans:ital,wght@0,400;0,700;1,400;1,700';
	$conference_event_planner_font_family[] = 'Architects Daughter';
	$conference_event_planner_font_family[] = 'Russo One';
	$conference_event_planner_font_family[] = 'Monda:wght@400;700';
	$conference_event_planner_font_family[] = 'Righteous';
	$conference_event_planner_font_family[] = 'Lobster Two:ital,wght@0,400;0,700;1,400;1,700';
	$conference_event_planner_font_family[] = 'Hammersmith One';
	$conference_event_planner_font_family[] = 'Courgette';
	$conference_event_planner_font_family[] = 'Permanent Marke';
	$conference_event_planner_font_family[] = 'Cherry Swash:wght@400;700';
	$conference_event_planner_font_family[] = 'Cormorant Garamond:ital,wght@0,300;0,400;0,500;0,600;0,700;1,300;1,400;1,500;1,600;1,700';
	$conference_event_planner_font_family[] = 'Poiret One';
	$conference_event_planner_font_family[] = 'BenchNine:wght@300;400;700';
	$conference_event_planner_font_family[] = 'Economica:ital,wght@0,400;0,700;1,400;1,700';
	$conference_event_planner_font_family[] = 'Handlee';
	$conference_event_planner_font_family[] = 'Cardo:ital,wght@0,400;0,700;1,400';
	$conference_event_planner_font_family[] = 'Alfa Slab One';
	$conference_event_planner_font_family[] = 'Averia Serif Libre:ital,wght@0,300;0,400;0,700;1,300;1,400;1,700';
	$conference_event_planner_font_family[] = 'Cookie';
	$conference_event_planner_font_family[] = 'Chewy';
	$conference_event_planner_font_family[] = 'Great Vibes';
	$conference_event_planner_font_family[] = 'Coming Soon';
	$conference_event_planner_font_family[] = 'Philosopher:ital,wght@0,400;0,700;1,400;1,700';
	$conference_event_planner_font_family[] = 'Days One';
	$conference_event_planner_font_family[] = 'Kanit:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900';
	$conference_event_planner_font_family[] = 'Shrikhand';
	$conference_event_planner_font_family[] = 'Tangerine:wght@400;700';
	$conference_event_planner_font_family[] = 'IM Fell English SC';
	$conference_event_planner_font_family[] = 'Boogaloo';
	$conference_event_planner_font_family[] = 'Bangers';
	$conference_event_planner_font_family[] = 'Fredoka One';
	$conference_event_planner_font_family[] = 'Volkhov:ital,wght@0,400;0,700;1,400;1,700';
	$conference_event_planner_font_family[] = 'Shadows Into Light Two';
	$conference_event_planner_font_family[] = 'Marck Script';
	$conference_event_planner_font_family[] = 'Sacramento';
	$conference_event_planner_font_family[] = 'Unica One';
	$conference_event_planner_font_family[] = 'Dancing Script:wght@400;500;600;700';
	$conference_event_planner_font_family[] = 'Exo 2:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900';
	$conference_event_planner_font_family[] = 'Archivo:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900';
	$conference_event_planner_font_family[] = 'Jost:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900';
	$conference_event_planner_font_family[] = 'DM Serif Display:ital@0;1';
	$conference_event_planner_font_family[] = 'Open Sans:ital,wght@0,300;0,400;0,500;0,600;0,700;0,800;1,300;1,400;1,500;1,600;1,700;1,800';

	$conference_event_planner_query_args = array(
		'family'	=> rawurlencode(implode('|',$conference_event_planner_font_family)),
	);
	$conference_event_planner_font_url = add_query_arg($conference_event_planner_query_args,'//fonts.googleapis.com/css');
	return $conference_event_planner_font_url;
	$contents = conference_event_planner_wptt_get_web_font_url( esc_url_raw( $conference_event_planner_font_url ) );
}

// Category count 
function conference_event_planner_display_post_category_count() {
    $conference_event_planner_category = get_the_category();
    $conference_event_planner_category_count = ($conference_event_planner_category) ? count($conference_event_planner_category) : 0;
    $conference_event_planner_category_text = ($conference_event_planner_category_count === 1) ? 'category' : 'categories'; // Check for pluralization
    echo $conference_event_planner_category_count . ' ' . $conference_event_planner_category_text;
}

//post tag
function custom_tags_filter($conference_event_planner_tag_list) {
    // Replace the comma (,) with an empty string
    $conference_event_planner_tag_list = str_replace(', ', '', $conference_event_planner_tag_list);

    return $conference_event_planner_tag_list;
}
add_filter('the_tags', 'custom_tags_filter');

function custom_output_tags() {
    $conference_event_planner_tags = get_the_tags();

    if ($conference_event_planner_tags) {
        $conference_event_planner_tags_output = '<div class="post_tag">Tags: ';

        $conference_event_planner_first_tag = reset($conference_event_planner_tags);

        foreach ($conference_event_planner_tags as $tag) {
            $conference_event_planner_tags_output .= '<a href="' . esc_url(get_tag_link($tag)) . '" rel="tag" class="mr-2">' . esc_html($tag->name) . '</a>';
            if ($tag !== $conference_event_planner_first_tag) {
                $conference_event_planner_tags_output .= ' ';
            }
        }

        $conference_event_planner_tags_output .= '</div>';

        echo $conference_event_planner_tags_output;
    }
}
/**
 * Register widget area.
 */
function conference_event_planner_widgets_init() {
	register_sidebar( array(
		'name'          => __( 'Blog Sidebar', 'conference-event-planner' ),
		'id'            => 'sidebar-1',
		'description'   => __( 'Add widgets here to appear in your sidebar on blog posts and archive pages.', 'conference-event-planner' ),
		'before_widget' => '<section id="%1$s" class="widget %2$s">',
		'after_widget'  => '</section>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>',
	) );

	register_sidebar( array(
		'name'          => __( 'Page Sidebar', 'conference-event-planner' ),
		'id'            => 'sidebar-2',
		'description'   => __( 'Add widgets here to appear in your sidebar on pages.', 'conference-event-planner' ),
		'before_widget' => '<section id="%1$s" class="widget %2$s">',
		'after_widget'  => '</section>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>',
	) );

	register_sidebar( array(
		'name'          => __( 'Sidebar 3', 'conference-event-planner' ),
		'id'            => 'sidebar-3',
		'description'   => __( 'Add widgets here to appear in your sidebar on blog posts and archive pages.', 'conference-event-planner' ),
		'before_widget' => '<section id="%1$s" class="widget %2$s">',
		'after_widget'  => '</section>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>',
	) );

	register_sidebar( array(
		'name'          => __( 'Footer 1', 'conference-event-planner' ),
		'id'            => 'footer-1',
		'description'   => __( 'Add widgets here to appear in your footer.', 'conference-event-planner' ),
		'before_widget' => '<section id="%1$s" class="widget %2$s">',
		'after_widget'  => '</section>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>',
	) );

	register_sidebar( array(
		'name'          => __( 'Footer 2', 'conference-event-planner' ),
		'id'            => 'footer-2',
		'description'   => __( 'Add widgets here to appear in your footer.', 'conference-event-planner' ),
		'before_widget' => '<section id="%1$s" class="widget %2$s">',
		'after_widget'  => '</section>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>',
	) );

	register_sidebar( array(
		'name'          => __( 'Footer 3', 'conference-event-planner' ),
		'id'            => 'footer-3',
		'description'   => __( 'Add widgets here to appear in your footer.', 'conference-event-planner' ),
		'before_widget' => '<section id="%1$s" class="widget %2$s">',
		'after_widget'  => '</section>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>',
	) );

	register_sidebar( array(
		'name'          => __( 'Footer 4', 'conference-event-planner' ),
		'id'            => 'footer-4',
		'description'   => __( 'Add widgets here to appear in your footer.', 'conference-event-planner' ),
		'before_widget' => '<section id="%1$s" class="widget %2$s">',
		'after_widget'  => '</section>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>',
	) );
}
add_action( 'widgets_init', 'conference_event_planner_widgets_init' );

/**
 * Enqueue scripts and styles.
 */
function conference_event_planner_scripts() {
	// Add custom fonts, used in the main stylesheet.
	wp_enqueue_style( 'conference-event-planner-fonts', conference_event_planner_fonts_url(), array(), null );

	// Bootstrap
	wp_enqueue_style( 'bootstrap-css', get_theme_file_uri( '/assets/css/bootstrap.css' ) );

	// Theme stylesheet.
	wp_enqueue_style( 'conference-event-planner-style', get_stylesheet_uri() );
	require get_parent_theme_file_path( '/tp-body-width-layout.php' );
	wp_add_inline_style( 'conference-event-planner-style',$conference_event_planner_tp_theme_css );
	wp_enqueue_style( 'conference-event-planner-style', get_stylesheet_uri() );
	require get_parent_theme_file_path( '/tp-theme-color.php' );
	wp_add_inline_style( 'conference-event-planner-style',$conference_event_planner_tp_theme_css );
	wp_style_add_data('conference-event-planner-style', 'rtl', 'replace');

	// Theme stylesheet.
	wp_enqueue_style( 'conference-event-planner-style', get_stylesheet_uri() );

	// Theme block stylesheet.
	wp_enqueue_style( 'conference-event-planner-block-style', get_theme_file_uri( '/assets/css/blocks.css' ), array( 'conference-event-planner-style' ), '1.0' );

	// Fontawesome
	wp_enqueue_style( 'fontawesome-css', get_theme_file_uri( '/assets/css/fontawesome-all.css' ) );

	wp_enqueue_script( 'bootstrap-js', get_theme_file_uri( '/assets/js/bootstrap.js' ), array( 'jquery' ), true );

	wp_enqueue_script( 'conference-event-planner-custom-scripts', esc_url( get_template_directory_uri() ) . '/assets/js/custom.js', array('jquery'), true );

	wp_enqueue_script( 'conference-event-planner-focus-nav', esc_url( get_template_directory_uri() ) . '/assets/js/focus-nav.js', array('jquery'), true);

	if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
		wp_enqueue_script( 'comment-reply' );
	}

	$conference_event_planner_body_font_family = get_theme_mod('conference_event_planner_body_font_family', '');

	$conference_event_planner_heading_font_family = get_theme_mod('conference_event_planner_heading_font_family', '');

	$conference_event_planner_menu_font_family = get_theme_mod('conference_event_planner_menu_font_family', '');

	$conference_event_planner_tp_theme_css = '
		body{
		    font-family: '.esc_html($conference_event_planner_body_font_family).';
		}
		h1{
		    font-family: '.esc_html($conference_event_planner_heading_font_family).';
		}
		h2{
		    font-family: '.esc_html($conference_event_planner_heading_font_family).';
		}
		h3{
		    font-family: '.esc_html($conference_event_planner_heading_font_family).';
		}
		h4{
		    font-family: '.esc_html($conference_event_planner_heading_font_family).';
		}
		h5{
		    font-family: '.esc_html($conference_event_planner_heading_font_family).';
		}
		h6{
		    font-family: '.esc_html($conference_event_planner_heading_font_family).';
		}
		#theme-sidebar .wp-block-search .wp-block-search__label{
		    font-family: '.esc_html($conference_event_planner_heading_font_family).';
		}
		.main-navigation a{
		    font-family: '.esc_html($conference_event_planner_menu_font_family).';
		}
	';
	wp_add_inline_style('conference-event-planner-style', $conference_event_planner_tp_theme_css);
}
add_action( 'wp_enqueue_scripts', 'conference_event_planner_scripts' );

/*radio button sanitization*/
function conference_event_planner_sanitize_choices( $input, $setting ) {
    global $wp_customize;
    $control = $wp_customize->get_control( $setting->id );
    if ( array_key_exists( $input, $control->choices ) ) {
        return $input;
    } else {
        return $setting->default;
    }
}

// Sanitize Sortable control.
function conference_event_planner_sanitize_sortable( $val, $setting ) {
	if ( is_string( $val ) || is_numeric( $val ) ) {
		return array(
			esc_attr( $val ),
		);
	}
	$sanitized_value = array();
	foreach ( $val as $item ) {
		if ( isset( $setting->manager->get_control( $setting->id )->choices[ $item ] ) ) {
			$sanitized_value[] = esc_attr( $item );
		}
	}
	return $sanitized_value;
}
function conference_event_planner_sanitize_dropdown_pages( $page_id, $setting ) {
	$page_id = absint( $page_id );
	return ( 'publish' == get_post_status( $page_id ) ? $page_id : $setting->default );
}

function conference_event_planner_string_limit_words($string, $word_limit) {
    $words = explode(' ', $string);
    return implode(' ', array_slice($words, 0, $word_limit));
}

/* Excerpt Limit Begin */
function conference_event_planner_excerpt_function($excerpt_count = 35) {
    $conference_event_planner_excerpt = get_the_excerpt();

    $CONFERENCE_EVENT_PLANNER_TEXT_excerpt = wp_strip_all_tags($conference_event_planner_excerpt);

    $conference_event_planner_excerpt_limit = esc_attr(get_theme_mod('conference_event_planner_excerpt_count', $excerpt_count));

    $conference_event_planner_theme_excerpt = implode(' ', array_slice(explode(' ', $CONFERENCE_EVENT_PLANNER_TEXT_excerpt), 0, $conference_event_planner_excerpt_limit));

    return $conference_event_planner_theme_excerpt;
}
// Change number or products per row to 3
add_filter('loop_shop_columns', 'conference_event_planner_loop_columns');
if (!function_exists('conference_event_planner_loop_columns')) {
	function conference_event_planner_loop_columns() {
		$columns = get_theme_mod( 'conference_event_planner_per_columns', 3 );
		return $columns;
	}
}

//Change number of products that are displayed per page (shop page)
add_filter( 'loop_shop_per_page', 'conference_event_planner_per_page', 20 );
function conference_event_planner_per_page( $conference_event_planner_cols ) {
  	$conference_event_planner_cols = get_theme_mod( 'conference_event_planner_product_per_page', 9 );
	return $conference_event_planner_cols;
}

function conference_event_planner_sanitize_phone_number( $phone ) {
	return preg_replace( '/[^\d+]/', '', $phone );
}

function conference_event_planner_sanitize_checkbox( $input ) {
	// Boolean check
	return ( ( isset( $input ) && true == $input ) ? true : false );
}

function conference_event_planner_sanitize_number_absint( $number, $setting ) {
	// Ensure $number is an absolute integer (whole number, zero or greater).
	$number = absint( $number );

	// If the input is an absolute integer, return it; otherwise, return the default
	return ( $number ? $number : $setting->default );
}

function conference_event_planner_sanitize_number_range( $number, $setting ) {

	// Ensure input is an absolute integer.
	$number = absint( $number );

	// Get the input attributes associated with the setting.
	$atts = $setting->manager->get_control( $setting->id )->input_attrs;

	// Get minimum number in the range.
	$min = ( isset( $atts['min'] ) ? $atts['min'] : $number );

	// Get maximum number in the range.
	$max = ( isset( $atts['max'] ) ? $atts['max'] : $number );

	// Get step.
	$step = ( isset( $atts['step'] ) ? $atts['step'] : 1 );

	// If the number is within the valid range, return it; otherwise, return the default
	return ( $min <= $number && $number <= $max && is_int( $number / $step ) ? $number : $setting->default );
}

/**
 * Use front-page.php when Front page displays is set to a static page.
 */
function conference_event_planner_front_page_template( $template ) {
	return is_home() ? '' : $template;
}
add_filter( 'frontpage_template',  'conference_event_planner_front_page_template' );

/**
 * Logo Custamization.
 */

function conference_event_planner_logo_width(){

	$conference_event_planner_logo_width   = get_theme_mod( 'conference_event_planner_logo_width', 150 );

	echo "<style type='text/css' media='all'>"; ?>
		img.custom-logo{
		    width: <?php echo absint( $conference_event_planner_logo_width ); ?>px;
		    max-width: 100%;
		}
	<?php echo "</style>";
}

add_action( 'wp_head', 'conference_event_planner_logo_width' );

function conference_event_planner_theme_setup() {
	

	/**
	 * Custom template tags for this theme.
	 */
	require get_parent_theme_file_path( '/inc/template-tags.php' );

	/**
	 * Additional features to allow styling of the templates.
	 */
	require get_parent_theme_file_path( '/inc/template-functions.php' );

	/**
	 * Customizer additions.
	 */
	require get_parent_theme_file_path( '/inc/customizer.php' );

	/**
	 * Load Theme About Page
	 */
	require get_parent_theme_file_path( '/inc/about-theme.php' );

	/**
	 * Load Theme Web File
	 */
	require get_parent_theme_file_path('/inc/wptt-webfont-loader.php' );
	/**
	 * Load Toggle file
	 */
	require get_parent_theme_file_path( '/inc/controls/customize-control-toggle.php' );
	/**
	 * load sortable file
	 */
	require get_parent_theme_file_path( '/inc/controls/sortable-control.php' );

	/**
	 * TGM Recommendation
	 */
	require get_parent_theme_file_path( '/inc/TGM/tgm.php' );

	define('Conference_Event_Planner_CREDIT',__('https://www.themespride.com/products/free-event-planner-wordpress-theme','conference-event-planner') );
	if ( ! function_exists( 'conference_event_planner_credit' ) ) {
		function conference_event_planner_credit(){
			echo "<a href=".esc_url(Conference_Event_Planner_CREDIT)." target='_blank'>".esc_html__(get_theme_mod('conference_event_planner_footer_text',__('Conference Event Planner WordPress Theme','conference-event-planner')))."</a>";
		}
	}

}
add_action( 'after_setup_theme', 'conference_event_planner_theme_setup');


//Admin Enqueue for Admin
function conference_event_planner_admin_enqueue_scripts(){
	wp_enqueue_style('conference-event-planner-admin-style', get_template_directory_uri() . '/assets/css/admin.css');
	wp_register_script( 'conference-event-planner-admin-script', get_template_directory_uri() . '/assets/js/conference-event-planner-admin.js', array( 'jquery' ), '', true );

	wp_localize_script(
		'conference-event-planner-admin-script',
		'conference_event_planner',
		array(
			'admin_ajax'	=>	admin_url('admin-ajax.php'),
			'wpnonce'			=>	wp_create_nonce('conference_event_planner_dismissed_notice_nonce')
		)
	);
	wp_enqueue_script('conference-event-planner-admin-script');

    wp_localize_script( 'conference-event-planner-admin-script', 'conference_event_planner_ajax_object',
        array( 'ajax_url' => admin_url( 'admin-ajax.php' ) )
    );
}
add_action( 'admin_enqueue_scripts', 'conference_event_planner_admin_enqueue_scripts' );

// get started
add_action( 'wp_ajax_conference_event_planner_dismissed_notice_handler', 'conference_event_planner_ajax_notice_handler' );

function conference_event_planner_ajax_notice_handler() {
	if (!wp_verify_nonce($_POST['wpnonce'], 'conference_event_planner_dismissed_notice_nonce')) {
		exit;
	}
    if ( isset( $_POST['type'] ) ) {
        $type = sanitize_text_field( wp_unslash( $_POST['type'] ) );
        update_option( 'dismissed-' . $type, TRUE );
    }
}

function conference_event_planner_activation_notice() { 

	if ( ! get_option('dismissed-get_started', FALSE ) ) { ?>

    <div class="conference-event-planner-notice-wrapper updated notice notice-get-started-class is-dismissible" data-notice="get_started">
        <div class="conference-event-planner-getting-started-notice clearfix">
        	<div class="row-top">
	            <div class="conference-event-planner-theme-notice-content">
	                <h2 class="conference-event-planner-notice-h2">
	                    <?php
	                printf(
	                /* translators: 1: welcome page link starting html tag, 2: welcome page link ending html tag. */
	                    esc_html__( 'Install the Demo Import Plugin now to instantly set up your site like the live preview.', 'conference-event-planner' ), '<strong>'. wp_get_theme()->get('Name'). '</strong>' );
	                ?>
	                </h2>
	                <a class="conference-event-planner-btn-get-started button button-primary button-hero conference-event-planner-button-padding" href="<?php echo esc_url( admin_url( 'themes.php?page=conference-event-planner-about' )); ?>" ><?php esc_html_e( 'Get Started with Conference Event Planner Theme', 'conference-event-planner' ) ?></a>
	            </div>
	            <div class="image-box">
			    	<img src="<?php echo esc_url( get_template_directory_uri() . '/assets/images/theme-notice.png' ); ?>" alt="<?php echo esc_attr__( 'Conference Event Planner', 'conference-event-planner' ); ?>" />
				</div>
	        </div>
        </div>
    </div>
<?php }

}
add_action( 'admin_notices', 'conference_event_planner_activation_notice' );

add_action('after_switch_theme', 'conference_event_planner_setup_options');
function conference_event_planner_setup_options () {
    update_option('dismissed-get_started', FALSE );
}

// Get Started Detail Notice - Dismiss permanently
function conference_event_planner_dismissed_get_started_detail_notice() {
    update_option( 'dismissed-get_started-detail', true );
    wp_send_json_success();
}
add_action( 'wp_ajax_conference_event_planner_dismissed_get_started_detail_notice', 'conference_event_planner_dismissed_get_started_detail_notice' );
add_action( 'wp_ajax_nopriv_conference_event_planner_dismissed_get_started_detail_notice', 'conference_event_planner_dismissed_get_started_detail_notice' );

// Reset on theme switch
add_action('after_switch_theme', 'conference_event_planner_setup_settings');
function conference_event_planner_setup_settings() {
    update_option('dismissed-get_started', false );
    update_option('dismissed-get_started-detail', false );
}

add_action( 'wp_ajax_conference_event_planner_popup_done', 'conference_event_planner_popup_done' );
function conference_event_planner_popup_done() {
	update_option( 'conference_event_planner_demo_popup_shown', true );
	wp_die();
}